#
# spec file for package ucl (Version 0.92)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ucl
Copyright:    GPL
Group:        Development/Libraries
Autoreqprov:  on
Version:      0.92
Release:      45
Source0:      %{name}-%{version}.tar.bz2
URL:          http://wildsau.idv.uni-linz.ac.at/mfx/ucl.html
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      The UCL Compression Library

%description
This package contains portable lossless data compression library written in
ANSI C. UCL implements a number of compression algorithms that achieve an
excellent compression ratio while allowing *very* fast decompression.
Decompression requires no additional memory. UCL is OpenSource
re-implementation of some NRV compression algorithms.

Authors:
--------
    Markus F.X.J. Oberhumer <markus@oberhumer.com>

SuSE series: d

%prep
%setup
%{?suse_update_config:%{suse_update_config}}

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure --mandir=%{_mandir} \
	    --prefix=%{_prefix}  \
            --infodir=%{_infodir} \
            --sysconfdir=%{_sysconfdir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
 

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_prefix}/include/ucl
%{_prefix}/lib/*
%doc COPYING NEWS INSTALL README THANKS TODO

%changelog -n ucl
* Tue Jun 19 2001 - rvasice@suse.cz
- fixed configure params
* Thu Jun 14 2001 - rvasice@suse.cz
- initial package release (version 0.92)
